package com.rwk.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 【请填写功能名称】对象 rwk_address_group
 * 
 * @author ruoyi
 * @date 2024-12-16
 */
public class RwkAddressGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String groupName;

    /** 分组归属账号 */
    @Excel(name = "分组归属账号")
    private String groupByUser;

    /** 分组创建时间 */
    @Excel(name = "分组创建时间")
    private Date createTime;

    /** 统计人数 */
    private Integer num;

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public void setGroupName(String groupName)
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }

    public void setGroupByUser(String groupByUser) 
    {
        this.groupByUser = groupByUser;
    }

    public String getGroupByUser() 
    {
        return groupByUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("groupName", getGroupName())
            .append("groupByUser", getGroupByUser())
            .append("createTime", getCreateTime())
            .toString();
    }
}
